Bug 863059 - Unable to migrate guest: internal error missing hostuuid element in migration data
Unable to migrate guest: internal error missing hostuuid element in migration...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.1
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Jiri Denemark
Virtualization Bugs
:
Depends On:
Blocks: 856864
  Show dependency treegraph
 
Reported: 2012-10-04 06:59 EDT by nigil
Modified: 2013-02-21 02:25 EST (History)
12 users (show)

See Also:
Fixed In Version: libvirt-0.10.2-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:25:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nigil 2012-10-04 06:59:26 EDT
Description of problem:
Unable to migrate guest from 6.2 to 6.1(backward migration), neither through GUI nor through Command line. Getting an error message "internal error missing hostuuid element in migration data". But migration of VMs from 6.1 to 6.2 was successful and the issue observed when the same VMs are tried to migrate back.


Version-Release number of selected component (if applicable):
[root@lnx132-75 scripts1]# lsb_release -r
Release:        6.1
[root@lnx132-75 scripts1]# rpm -qa | grep qemu
qemu-kvm-tools-0.12.1.2-2.160.el6.x86_64
qemu-img-0.12.1.2-2.160.el6.x86_64
gpxe-roms-qemu-0.9.7-6.7.el6.noarch
qemu-kvm-0.12.1.2-2.160.el6.x86_64
[root@lnx132-75 scripts1]# rpm -qa | grep virt
libvirt-cim-0.5.11-3.el6.x86_64
fence-virtd-libvirt-0.2.1-8.el6.x86_64
virt-manager-0.8.6-4.el6.noarch
virt-top-1.0.4-3.8.el6.x86_64
virt-viewer-0.2.1-3.el6.x86_64
fence-virtd-multicast-0.2.1-8.el6.x86_64
fence-virtd-0.2.1-8.el6.x86_64
libvirt-client-0.8.7-18.el6.x86_64
python-virtinst-0.500.5-3.el6.noarch
libvirt-qpid-0.2.22-6.el6.x86_64
libvirt-0.8.7-18.el6.x86_64
virt-what-1.3-4.4.el6.x86_64
fence-virtd-serial-0.2.1-8.el6.x86_64
libvirt-java-0.4.7-1.el6.noarch
virt-v2v-0.7.1-3.el6.x86_64
libvirt-python-0.8.7-18.el6.x86_64
-------------
[root@lnx132-76 qemu]# lsb_release -r
Release:        6.2
[root@lnx132-76 qemu]# rpm -qa | grep qemu
gpxe-roms-qemu-0.9.7-6.9.el6.noarch
qemu-img-0.12.1.2-2.209.el6.x86_64
qemu-kvm-0.12.1.2-2.209.el6.x86_64
qemu-kvm-tools-0.12.1.2-2.209.el6.x86_64
[root@lnx132-76 qemu]# rpm -qa | grep virt
libvirt-client-0.9.4-23.el6.x86_64
virt-manager-0.9.0-7.el6.x86_64
libvirt-snmp-0.0.2-3.el6.x86_64
virt-what-1.11-1.1.el6.x86_64
fence-virtd-libvirt-0.2.3-5.el6.x86_64
virt-viewer-0.4.1-7.el6.x86_64
libvirt-0.9.4-23.el6.x86_64
fence-virtd-0.2.3-5.el6.x86_64
virt-v2v-0.8.3-5.el6.x86_64
virt-who-0.3-3.el6.noarch
python-virtinst-0.600.0-5.el6.noarch
virt-top-1.0.4-3.11.el6.x86_64
libvirt-cim-0.5.14-2.el6.x86_64
libvirt-qmf-0.3.0-4.el6.x86_64
fence-virtd-serial-0.2.3-5.el6.x86_64
libvirt-python-0.9.4-23.el6.x86_64
libvirt-java-0.4.7-1.el6.noarch
fence-virtd-multicast-0.2.3-5.el6.x86_64

How reproducible:
Install original enterprise edition of RHEL6.2 and RHEL6.2 as Virtualization servers on separate hosts. Configure network. Create VMs on both hosts and migrate VMs from RHEL6.2 to RHEL6.1. 

  
Actual results:
Unable to migrate guest from 6.2 to 6.1. error message "internal error missing hostuuid element in migration data"

Expected results:
Successfully migrate from 6.2 to 6.1 with out any IO failure.

Additional info:
1. Tried the following, but no use.
-Generated uuid : uuidgen
- vi  /etc/libvirt/libvirtd.conf and updated uuid for both the hosts.
- service libvirtd restart
- Migrate VMs, but same error.

2. Support page of RHEL does not include this issue in backward compatibility issue report/section.
https://access.redhat.com/knowledge/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Virtualization_Administration_Guide/Live_migration_and_RHEL_compatibility.html

3. Saw a similar discussion in the below link, but no conclusion.
https://www.redhat.com/archives/rhelv6-list/2012-January/msg00024.html
Comment 4 zhpeng 2012-10-25 02:26:11 EDT
Test with: libvirt-0.10.2-5.el6.x86_64

migrate from RHEL.X to RHEL.Y (X > Y) successful.
migrate from RHEL.Y to RHEL.X (X > Y) successful.

guest xml:
virsh # dumpxml aaa
<domain type='kvm'>
...
  <os>
    <type arch='x86_64' machine='rhel6.1.0'>hvm</type>
    <boot dev='hd'/>
  </os>
...


So it's verified.
Comment 5 nigil 2012-11-05 05:35:13 EST
I couldnt find the package libvirt-0.10.2-5.el6.x86_64 in RHN. Please let me know how to get the package.
Comment 7 Jiri Denemark 2012-12-11 17:22:02 EST
(In reply to comment #5)
> I couldnt find the package libvirt-0.10.2-5.el6.x86_64 in RHN. Please let me
> know how to get the package.

The package will be available in the next RHEL-6 release.
Comment 8 errata-xmlrpc 2013-02-21 02:25:38 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.